Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignThermometerPlot

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseChartPlot
          net.sf.jasperreports.charts.base.JRBaseThermometerPlot
              net.sf.jasperreports.charts.design.JRDesignThermometerPlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRThermometerPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

    public class JRDesignThermometerPlot

extends JRBaseThermometerPlot

The layout options of a thermometer chart.

Version:
  $Id: JRDesignThermometerPlot.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`JRBaseChartPlot.JRBaseSeriesColor`

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`static java.lang.String` | `PROPERTY_DATA_RANGE`
`static java.lang.String` | `PROPERTY_HIGH_RANGE`
`static java.lang.String` | `PROPERTY_LOW_RANGE`
`static java.lang.String` | `PROPERTY_MEDIUM_RANGE`
`static java.lang.String` | `PROPERTY_MERCURY_COLOR`
`static java.lang.String` | `PROPERTY_SHOW_VALUE_LINES` Deprecated. No longer used.
`static java.lang.String` | `PROPERTY_VALUE_DISPLAY`
`static java.lang.String` | `PROPERTY_VALUE_LOCATION`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseThermometerPlot
`dataRange, highRange, lowRange, mediumRange, mercuryColor, showValueLines, valueDisplay, valueLocationObject`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientation, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

Fields inherited from interface net.sf.jasperreports.charts.JRThermometerPlot
`LOCATION_BULB, LOCATION_LEFT, LOCATION_NONE, LOCATION_RIGHT`

Constructor Summary
`JRDesignThermometerPlot(JRChartPlot thermoPlot, JRChart chart)` Constructs a new plot that is a copy of an existing one.

Method Summary
`void` | `setDataRange(JRDataRange dataRange)` Sets the range of values that can be displayed by this thermometer.
`void` | `setHighRange(JRDataRange highRange)` Specifies the high range of the thermometer.
`void` | `setLowRange(JRDataRange lowRange)` Specifies the low range of the thermometer.
`void` | `setMediumRange(JRDataRange mediumRange)` Specifies the medium range of the thermometer.
`void` | `setMercuryColor(java.awt.Color mercuryColor)` Sets the default color of the mercury in the thermometer.
`void` | `setShowValueLines(boolean showValueLines)` Deprecated. No longer used.
`void` | `setValueDisplay(JRValueDisplay valueDisplay)` Sets the formatting option for the textual display of the value.
`void` | `setValueLocation(byte valueLocation)` Deprecated. Replaced by `setValueLocation(ValueLocationEnum)`
`void` | `setValueLocation(java.lang.Byte valueLocation)` Deprecated. Replaced by `setValueLocation(ValueLocationEnum)`
`void` | `setValueLocation(ValueLocationEnum valueLocationObject)` Sets where to show the textual display of the value.

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseThermometerPlot
`clone, collectExpressions, getDataRange, getHighRange, getLowRange, getMediumRange, getMercuryColor, getValueDisplay, getValueLocation, getValueLocationByte, getValueLocationValue, isShowValueLines`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot
`addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_DATA_RANGE

    public static final java.lang.String PROPERTY_DATA_RANGE

See Also:
  Constant Field Values

### PROPERTY_HIGH_RANGE

    public static final java.lang.String PROPERTY_HIGH_RANGE

See Also:
  Constant Field Values

### PROPERTY_LOW_RANGE

    public static final java.lang.String PROPERTY_LOW_RANGE

See Also:
  Constant Field Values

### PROPERTY_MEDIUM_RANGE

    public static final java.lang.String PROPERTY_MEDIUM_RANGE

See Also:
  Constant Field Values

### PROPERTY_MERCURY_COLOR

    public static final java.lang.String PROPERTY_MERCURY_COLOR

See Also:
  Constant Field Values

### PROPERTY_SHOW_VALUE_LINES

    public static final java.lang.String PROPERTY_SHOW_VALUE_LINES

  Deprecated. No longer used.
  See Also:
    Constant Field Values

### PROPERTY_VALUE_DISPLAY

    public static final java.lang.String PROPERTY_VALUE_DISPLAY

See Also:
  Constant Field Values

### PROPERTY_VALUE_LOCATION

    public static final java.lang.String PROPERTY_VALUE_LOCATION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignThermometerPlot

    public JRDesignThermometerPlot(JRChartPlot thermoPlot,
                                   JRChart chart)

  Constructs a new plot that is a copy of an existing one.

  Parameters:
    `thermoPlot` - the plot to copy

Method Detail

### setDataRange

    public void setDataRange(JRDataRange dataRange)

  Sets the range of values that can be displayed by this thermometer. Specifies the upper and lower bounds of the display area of the meter.

  Parameters:
    `dataRange` - the range of values to display

### setValueDisplay

    public void setValueDisplay(JRValueDisplay valueDisplay)

  Sets the formatting option for the textual display of the value.

  Parameters:
    `valueDisplay` - the value display formatting options

### setShowValueLines

    public void setShowValueLines(boolean showValueLines)

  Deprecated. No longer used.

### setValueLocation

    public void setValueLocation(byte valueLocation)

  Deprecated. Replaced by `setValueLocation(ValueLocationEnum)`

### setValueLocation

    public void setValueLocation(java.lang.Byte valueLocation)

  Deprecated. Replaced by `setValueLocation(ValueLocationEnum)`

### setValueLocation

    public void setValueLocation(ValueLocationEnum valueLocationObject)

  Sets where to show the textual display of the value.

  Parameters:
    `valueLocationObject` - where to show the textual display of the value

### setMercuryColor

    public void setMercuryColor(java.awt.Color mercuryColor)

  Sets the default color of the mercury in the thermometer. This color will be used when the value is not in a specified range.

  Parameters:
    `mercuryColor` - the default color of the mercury

### setLowRange

    public void setLowRange(JRDataRange lowRange)

  Specifies the low range of the thermometer.

  Parameters:
    `lowRange` - the low range of the thermometer

### setMediumRange

    public void setMediumRange(JRDataRange mediumRange)

  Specifies the medium range of the thermometer.

  Parameters:
    `mediumRange` - the medium range of the thermometer

### setHighRange

    public void setHighRange(JRDataRange highRange)

  Specifies the high range of the thermometer.

  Parameters:
    `highRange` - the high range of the thermometer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com